Subject: Re: [PATCHv3 0/3]More diffs for commit/status

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Mar 2015 11:25:48 -0800

Michael J Gruber <[email-masked]> writes:

> v3 has the following changes:
> - new leading patch by Junio to clean up t7508 (slightly modified by myself)
> - adjust tests accordingly
> - revert back to standard c/,i/ resp. i/,w/ diff prefixes with a header line
>
> Open questionis for 3/3:
> - Do we need the header to stick out even more? (I don't think so, although
>   having the STATUS_HEADER color to be different may help.)

If we have more than one paths in each category, I would think at
least a separator line (I used -{50} in my illustration you are
replying to) before the verbal "Changes to be committed" would help.

> - Do we want the header line also for "status -v"? (I would say yes, but that
>   would be a change to current behaviour.)

I would not object to it very strongly, but I do not see a point in
changing the behaviour.

And I do not see why a new user would want it anyway.  There is no
need to differenciate the changes to be committed from the changes
left in the working tree when the latter is not even shown.